%define upstream_name    Catalyst-Plugin-Cache
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Choose a cache backend based on key regexes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.800.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Storable)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

Requires:   perl(Class::Data::Inheritable)
%description
This plugin gives you access to a variety of systems for caching data. It
allows you to use a very simple configuration API, while maintaining the
possibility of flexibility when you need it later.

Among its features are support for multiple backends, segmentation based on
component or controller, keyspace partitioning, and so more, in various
subsidiary plugins.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 526792
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.120.0-1.mga4
+ Revision: 438860
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 363972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 254652
- update to 0.11

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-2.mga1
+ Revision: 41220
- adding missing requires:

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 40261
- mageia rebuild
- imported package perl-Catalyst-Plugin-Cache

